List site pages
curl --request GET \
--url https://services.deepsmith.ai/core/api/external/v1/content-map/pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.deepsmith.ai/core/api/external/v1/content-map/pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.deepsmith.ai/core/api/external/v1/content-map/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"messages": "<string>",
"data": {
"pages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"title": "<string>",
"heading": "<string>",
"topic_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic": "<string>",
"topic_definition": "<string>",
"buyer_stage": "AWARENESS",
"status": "classified",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": "<string>",
"is_customer": true,
"discovered_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"from": 123,
"to": 123,
"count": 123,
"per_page": 123,
"current_page": 123,
"total": 123,
"total_pages": 123,
"next_url": "<string>",
"prev_url": "<string>"
}
}
}{
"code": 4022,
"messages": "Invalid, revoked or expired API key.",
"data": null
}{
"code": 4023,
"messages": "This API key does not have the scope required for this request.",
"data": {
"required": [
"visibility:read"
],
"missing": [
"visibility:read"
]
}
}Content map
List site pages
Analysed pages across your site and competitor sites, newest first. Requires contentmap:read.
GET
/
content-map
/
pages
List site pages
Authorizations
bearerAuthapiKeyHeader
Your API key: Authorization: Bearer API Key Value
Query Parameters
A site from GET /content-map/sites.
Available options:
AWARENESS, CONSIDERATION, DECISION, NA Available options:
classified, unclassified Matches title, heading and URL.
Maximum string length:
255Required range:
x >= 1Required range:
1 <= x <= 200